# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(IO/File.pm) perl(Module/Build.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Term/ReadKey.pm)  perl(Want.pm)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# tests require working /dev/tty - disabled by default for koji
# see https://rt.cpan.org/Public/Bug/Display.html?id=54807
%bcond_with     check

Name:           perl-IO-Prompt
Summary:        Interactively prompt for user input
%global cpanver 0.997002
Version:        0.997.002
Release:        alt1_2
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/IO-Prompt-%{cpanver}.tar.gz
URL:            http://search.cpan.org/dist/IO-Prompt
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
%if %{with check}
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(POSIX.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Term/ReadKey.pm)
BuildRequires:  perl(Want.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
%endif


Source44: import.info

%description
An object-oriented way to prompt for user input -- and control how the user is
prompted.

This module is no longer being maintained. Use the IO::Prompter module instead.

%prep
%setup -q -n IO-Prompt-%{cpanver}
find examples -type f -exec chmod -x {} +

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*

%check
%if %{with check}
    make test
%else
    echo "Not running tests unless --with check is specified"
%endif

%files
%doc Changes README examples/
%{perl_vendor_privlib}/*


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.997.002-alt1_2
- update to new release by fcimport

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.997.002-alt1_1
- new fc rel

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.997.001-alt1_4
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.997.001-alt1_2
- fc import

